Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jgroups.protocols
Enum Executing.Type

    java.lang.Object
      java.lang.Enum<Executing.Type>
          org.jgroups.protocols.Executing.Type

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Executing.Type>

Enclosing class:
  Executing

    protected static enum Executing.Type

extends java.lang.Enum<Executing.Type>

Enum Constant Summary
`CONSUMER_FOUND`
`CONSUMER_READY`
`CONSUMER_UNREADY`
`CREATE_CONSUMER_READY`
`CREATE_RUN_REQUEST`
`DELETE_CONSUMER_READY`
`DELETE_RUN_REQUEST`
`INTERRUPT_RUN`
`RESULT_EXCEPTION`
`RESULT_SUCCESS`
`RUN_REJECTED`
`RUN_REQUEST`
`RUN_SUBMITTED`

Method Summary
`static Executing.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Executing.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### RUN_REQUEST

    public static final Executing.Type RUN_REQUEST

### CONSUMER_READY

    public static final Executing.Type CONSUMER_READY

### CONSUMER_UNREADY

    public static final Executing.Type CONSUMER_UNREADY

### CONSUMER_FOUND

    public static final Executing.Type CONSUMER_FOUND

### RUN_SUBMITTED

    public static final Executing.Type RUN_SUBMITTED

### RUN_REJECTED

    public static final Executing.Type RUN_REJECTED

### RESULT_EXCEPTION

    public static final Executing.Type RESULT_EXCEPTION

### RESULT_SUCCESS

    public static final Executing.Type RESULT_SUCCESS

### INTERRUPT_RUN

    public static final Executing.Type INTERRUPT_RUN

### CREATE_RUN_REQUEST

    public static final Executing.Type CREATE_RUN_REQUEST

### CREATE_CONSUMER_READY

    public static final Executing.Type CREATE_CONSUMER_READY

### DELETE_RUN_REQUEST

    public static final Executing.Type DELETE_RUN_REQUEST

### DELETE_CONSUMER_READY

    public static final Executing.Type DELETE_CONSUMER_READY

Method Detail

### values

    public static Executing.Type[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Executing.Type c : Executing.Type.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Executing.Type valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.